{
    attributes = (
        {
            columnName = "C_FONCTION"; 
            externalType = NUMBER; 
            name = cFonction; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DT_DEB_EXERC_FONC"; 
            externalType = TIMESTAMP; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DT_FIN_EXERC_FONC"; 
            externalType = TIMESTAMP; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IFS_ORDRE"; 
            externalType = NUMBER; 
            name = ifsOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IFS_SOURCE"; 
            externalType = NUMBER; 
            name = ifsSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IFS_OPERATION"; 
            externalType = CHAR; 
            name = operation; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "IFS_STATUT"; 
            externalType = CHAR; 
            name = statut; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STR_ORDRE"; 
            externalType = NUMBER; 
            name = strOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "STR_SOURCE"; 
            externalType = VARCHAR2; 
            name = strSource; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "IFS_IMPORT"; 
            externalType = CHAR; 
            name = temImport; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (ifsOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOIndividuFonctionStructurelle"; 
    classProperties = (
        cFonction, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        idSource, 
        ifsSource, 
        individu, 
        operation, 
        statut, 
        strSource, 
        structure, 
        temImport
    ); 
    externalName = "IMPORT.INDIVIDU_FONCT_STRUCT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            idSource, 
            ifsSource, 
            operation, 
            statut, 
            strSource, 
            temImport
        ); 
    }; 
    name = IndividuFonctionStructurelle; 
    primaryKeyAttributes = (ifsOrdre); 
    relationships = (
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }, 
        {
            destination = Structure; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = strOrdre; sourceAttribute = strOrdre; }); 
            name = structure; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetImportPourIndividuEtPeriode; }; }; 
}
